|  | Home · All Classes · All Functions · Overviews

# QProxyScreenCursor Class Reference
[QtGui module]

The QProxyScreenCursor class provides a generic interface to QScreenCursor implementations. More...

     #include <QProxyScreenCursor>

Inherits QScreenCursor.

This class was introduced in Qt 4.5.

- List of all members, including inherited members

## Public Functions

| QProxyScreenCursor ()
| ~QProxyScreenCursor ()
QScreenCursor * | screenCursor () const
void | setScreenCursor ( QScreenCursor * cursor )

## Reimplemented Public Functions

virtual void | hide ()
virtual void | move ( int x, int y )
virtual void | set ( const QImage & image, int hotx, int hoty )
virtual void | show ()

- 8 public functions inherited from QScreenCursor

### Additional Inherited Members

- 2 static public members inherited from QScreenCursor

## Detailed Description

The QProxyScreenCursor class provides a generic interface to QScreenCursor implementations.

## Member Function Documentation

### QProxyScreenCursor::QProxyScreenCursor ()

Constructs a proxy screen cursor.

### QProxyScreenCursor::~QProxyScreenCursor ()

Destroys the proxy screen cursor.

### void QProxyScreenCursor::hide () `[virtual]`

Reimplemented from QScreenCursor::hide().

### void QProxyScreenCursor::move ( int x, int y ) `[virtual]`

Reimplemented from QScreenCursor::move().

### QScreenCursor * QProxyScreenCursor::screenCursor () const

Returns the real screen cursor used by the proxy screen cursor.

See also setScreenCursor().

### void QProxyScreenCursor::set ( const QImage & image, int hotx, int hoty ) `[virtual]`

Reimplemented from QScreenCursor::set().

### void QProxyScreenCursor::setScreenCursor ( QScreenCursor * cursor )

Sets the real screen cursor to be used for the proxy screen cursor to the cursor specified.

See also screenCursor().

### void QProxyScreenCursor::show () `[virtual]`

Reimplemented from QScreenCursor::show().